LibreOffice LibreOffice 25.2 SDK API Reference

Modules | Variables
CompositeOperation.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::rendering
| Interfaces and data structures for rendering.

## Constant Groups
constants | com::sun::star::rendering::CompositeOperation
| These constants determine how the primitive color is combined with the background.

## Variables
const byte | CLEAR = 0
| Clear the destination. More...
const byte | SOURCE = 1
| Copy source as-is to the destination. More...
const byte | DESTINATION = 2
| Leave the destination as-is. More...
const byte | OVER = 3
| Copy the source over the destination. More...
const byte | UNDER = 4
| Copy the source under the destination. More...
const byte | INSIDE = 5
| Copy the source to the destination. More...
const byte | INSIDE_REVERSE = 6
| Leave the destination as is. More...
const byte | OUTSIDE = 7
| Copy the source to the destination. More...
const byte | OUTSIDE_REVERSE = 8
| Leave the destination as is. More...
const byte | ATOP = 9
| Copy the source over the destination. More...
const byte | ATOP_REVERSE = 10
| Copy the destination over the source. More...
const byte | XOR = 11
| Combine source and destination by exclusive or. More...
const byte | ADD = 12
| Add source and destination values. More...
const byte | SATURATE = 13
| Saturate source and destination. More...